Subject: RE: bug#25: frame parameter menu-bar-lines changes height of frame

From: "Drew Adams" <[email-masked]>
Date: Tue, 10 Jun 2008 12:42:09 -0700

Too bad. Apparently people have been agreeing that this should be fixed since it
was first discussed when Gerd was in charge - years.

Previously, the reason given for not fixing it at the time was that the release
was imminent and we didn't want to risk the change.

Now, this has simply been downgraded to "wishlist" - poof!  Dommage.

> From: Stefan Monnier Sent: Tuesday, June 10, 2008 12:07 PM
> severity 25 wishlist
> thanks
> 
> The menu-bar currently isn't counted as part of the "text area" (whose
> size is described by the height and width frame parameters), 
> whereas the tool-bar is.
> 
> I agree that the way the toolbar behaves in this respect is 
> preferable,
> but because Emacs still counts sizes in multiple of lines and columns,
> it also has drawbacks (typically a few pixels wasted between the
> tool-bar and the actual text).
> 
> Hopefully, we'll fix this at some point.